Create Persona Session

POSThttps://bank.dattaremit.com/api/persona_sessions

Requires a bank-scoped key.

Create a Persona session.

Required scope: persona_sessions:execute

Body Params

required
persona_inquiry_idstringrequired

The ID of the Persona inquiry to create a session for

identity_verification_guidstringrequired

The GUID of the identity verification associated with the session

Responses

201

session created

401

Unauthorized - Authentication failed

403

Invalid scope

404

Identity verification not found

409

Inquiry already completed

Request

curl https://api.dattaremit.com/api/persona_sessions \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "persona_inquiry_id": "string",
  "identity_verification_guid": "string"
}'

Response

session created

{
  "identity_verification_guid": "string",
  "persona_inquiry_id": "string",
  "persona_session_token": "string"
}